$(document).ready(function() {
	window.allDepositNum; //全部退回数量
	window.partDepositDesc; //退回80%描述
	window.partDepositNum; //退回80%数量
	window.applyType = 0;

	//	获取活动限制人数
	getActLimitNum();
	//获取高级活动信息
	getActivityInfo();
	//跳转到马上挑战
	$('.applyRigtNow').click(function() {
		switch(window.applyType) {
			case 0:
				window.location.href = "challenge_apply_second.html?flowType=1";
				break;
			case 1:
				var r = confirm('挑战成功后，为您' + window.partDepositDesc + '押金，是否继续？');
				if(r == true) {
					window.location.href = "challenge_apply_second.html?flowType=1";
				}
				break;
			default:
				break;
		}
	});

	//申请
	$('.fullDepositApply').click(
		function() {
			window.location.href = 'challenge_apply_frist.html?flowType=0';
		});

});

//	获取活动限制人数
function getActLimitNum() {
	huilianUtils.callApi(
		'AdvCampaign/AdvCampaignLimit', {
			'camp_id': '1',
		},
		function(req) {
			console.log(req.data);
			window.allDepositNum = req.data[0].remainder; //全部退回数量
			window.partDepositDesc = req.data[1].limit_desc;
			window.partDepositNum = req.data[1].remainder; //退回80%数量
			$('#column1lin2').html(req.data[0].limit_desc);
			$('#column2lin2').html(window.allDepositNum);
			$('#column1lin3').html(window.partDepositDesc);
			$('#column2lin3').html(window.partDepositNum);
			if(Number(window.allDepositNum) > 0) {
				$('.fullDepositApply').attr('display', 'none')
				$('.applyRigtNow').css("color","red");
				
			}
		}
	)
}

function getActLimitNumJJ() {
	Mock.mock(
		'http://mockjs', {
			"code": "200",
			"data": [{
					"id": 1,
					"limit_desc": "全部退回",
					"remainder": 0
				},
				{
					"id": 2,
					"limit_desc": "退回80%",
					"remainder": 100
				}
			],
			"msg": null
		}
	);
	$.ajax({
		url: "http://mockjs", //请求的url地址
		dataType: "json", //返回格式为json
		async: true, //请求是否异步，默认为异步，这也是ajax重要特性
		data: {}, //参数值
		type: "POST", //请求方式
		beforeSend: function() {
			//请求前的处理
			console.log('start');
		},
		success: function(req) {
			//请求成功时处理
			console.log(req);
			window.allDepositNum = req.data[0].remainder; //全部退回数量
			window.partDepositDesc = req.data[1].limit_desc;
			window.partDepositNum = req.data[1].remainder; //退回80%数量
			$('#column1lin2').html(req.data[0].limit_desc);
			$('#column2lin2').html(window.allDepositNum);
			$('#column1lin3').html(window.partDepositDesc);
			$('#column2lin3').html(window.partDepositNum);
			if(window.allDepositNum > 0) {
				$('.fullDepositApply').remove();
				$('.applyRigtNow').css({
					"margin":"10px 20%"
			});
				console.log(window.applyType);
				window.applyType = 0;
			} else if(window.allDepositNum == 0) {
				window.applyType = 1;
			}
		},
		complete: function(req) {
			//请求完成的处理
			console.log(req);
		},
		error: function(err) {
			//请求出错处理
			console.log(err);
		}
	});

}
//获取高级活动信息
function getActivityInfo() {
	huilianUtils.callApi(
		'AdvCampaign/AdvCampaign', {
			'camp_id': '1',
		},
		function(req) {
			//请求成功时处理
			console.log(req);
			//title
			$('.titleClass').html(req.data.title);
			//时间
			var beginTime = req.data.camp_begin;
			beginTime = beginTime.substring(0, 10);
			beginTime = beginTime.replace('-', '.');
			beginTime = beginTime.replace('-', '.');
			var endTime = req.data.camp_end;
			endTime = endTime.substring(0, 10);
			endTime = endTime.replace('-', '.');
			endTime = endTime.replace('-', '.');
			$('#challengeTimeOnline').html(beginTime + '-' + endTime);

			//规则
			$('.challengeContent').html(req.data.condition);
			//完成条件
			$('#completeCondition').html(req.data.rule);

		}
	)
}
//获取高级活动信息
function getActivityInfoJJ() {
	Mock.mock(
		'http://mockjs', {
			"code": "200",
			"data": {
				"title": "挑战21天，指导仪免费拿",
				"camp_img": null,
				"camp_begin": "2017-05-02T00:00:00",
				"camp_end": "2017-05-09T00:00:00",
				"camp_desc": null,
				"rule": "您只需要支付288元押金，即可获得芽芽帮智能刷牙指导仪一套、牙菌斑染色剂6支。在您完成挑战后，我们将为您退回相应押金。您也可以中途退出挑战，退出后芽芽帮扣除38元活动成本（回寄产品时邮费自付），退给您250元。",
				"condition": "<p style = 'color : #000'>在参与成功后的两个月内完成以下任务:</p><br><strong style = 'color : #000'>刷牙拍照分享</strong><p> 1. 第一次刷牙后使用牙菌斑染色剂染色，拍照并分享；</p><p> 2. 11天后，再次刷牙后使用牙菌斑染色剂染色，拍照并分享；</p><p> 3. 21天后，再次刷牙后使用牙菌斑染色剂染色，拍照并分享；</p><br><strong style = 'color : #000'>刷牙得分</strong><p> 每天至少有一次刷牙成绩在75分及以上，累计21天</p>"
			},
			"msg": null
		}
	);
	$.ajax({
		url: "http://mockjs", //请求的url地址
		dataType: "json", //返回格式为json
		async: true, //请求是否异步，默认为异步，这也是ajax重要特性
		data: {}, //参数值
		type: "POST", //请求方式
		beforeSend: function() {
			//请求前的处理
			console.log('start');
		},
		success: function(req) {
			//请求成功时处理
			console.log(req);
			//title
			$('.titleClass').html(req.data.title);
			//时间
			var beginTime = req.data.camp_begin;
			beginTime = beginTime.substring(0, 10);
			beginTime = beginTime.replace('-', '.');
			beginTime = beginTime.replace('-', '.');
			var endTime = req.data.camp_end;
			endTime = endTime.substring(0, 10);
			endTime = endTime.replace('-', '.');
			endTime = endTime.replace('-', '.');
			$('#challengeTimeOnline').html(beginTime + '-' + endTime);

			//规则
			$('.challengeContent').html(req.data.condition);
			//完成条件
			$('#completeCondition').html(req.data.rule);
		},
		complete: function(req) {
			//请求完成的处理
			console.log('dd'+req);
		},
		error: function(err) {
			//请求出错处理
			console.log(err);
		}
	});
}