var Request = new Object();
Request = GetRequest();

var limit_id = Request['limit_id'];
var tradeNO;
var actID = Request['actID'];
var reqBackSuccess;
var open_id;
var id;
var apply_type;
var flowType = Request['flowType'];
$(document).ready(function() {

	if(actID) {
		getMoreInfo(actID);
	}

	$('#returnBtn01').click(function() {
		huilianUtils.backSync();
	})

	$('#returnBtn02').click(function() {
		huilianUtils.backSync();
	})

	if(Number(flowType) === 1) {
		$('#threeNav').show();
		$('#threePic').show();
		products_3pics();
	} else if(Number(flowType) === 0) {
		$('#fourNav').show();
		$('#fourPic').show();
		products_4pics();
	}
	//跳转到指导仪详情页
	$('#gotoHealthStationGuide').click(
		function() {
			window.location.href = 'http://shop.yyband.com/1/mall/jkjyz/home/Product?sku=0000103&g=72';
		});
	//牙菌斑染色剂详情页
	$('#gotoHealthStationPlaque').click(
		function() {
			window.location.href = 'http://shop.yyband.com/1/mall/jkjyz/home/Product?sku=0000100&g=69';
		}
	);
	//下一步
	$(".nextStepBtn").click(function() {
		didClickNextStep();
		//		if(tradeNO) { //判断订单号已经存在了
		//			didClickNextStep();
		//		} else { //从描述页直接进来挑战
		//			didClickNextStep();
		//		}
	})
});

function didClickNextStep() {
	var name = $('#nameID').val();
	var telNum = $('#telphoneID').val();
	var addressSelected = $('#multiPickerInput2').val();
	var detailAddress = $('#detailAddressID').val();
	if(name.length == 0) {
		$.DialogByZ.Autofade({
			Content: '请输入姓名'
		})
	} else if(telNum.length == 0) {
		$.DialogByZ.Autofade({
			Content: '请输入手机号'
		})
	} else if(telNum.length > 0 && (!(/^1[34578]\d{9}$/.test(telNum))) == true) {
		$.DialogByZ.Autofade({
			Content: '请输入正确手机号'
		})

	} else if(addressSelected.length == 0) {
		$.DialogByZ.Autofade({
			Content: '请选择收货地区'
		})
	} else if(detailAddress.length == 0) {
		$.DialogByZ.Autofade({
			Content: '请填写详细地址'
		})
	} else {
		$.DialogByZ.Confirm({
			Title: "",
			Content: "请仔细核对收货信息，成功参与挑战后无法修改。如需修改，请联系客服4006920118",
			FunR: confirmL,
			BtnL: '取消',
			BtnR: '确认无误，继续'
		});
	}
}

function confirmL() {
	$.DialogByZ.Close();
	submitReceivingInformation();
}

function submitReceivingInformation() {
	var name = $('#nameID').val();
	var address = $('#detailAddressID').val();
	var telNum = $('#telphoneID').val();
	var provicesInfoArray = window.provicesInfoArray;
	var url;
	if(flowType == 1) {
		url = 'AdvCampaign/JoinAdvCampaign';
	} else {
		url = 'AdvCampaign/JoinAdvCampaignApply';
	}

	huilianUtils.callApi(
		url, {
			'limit_id': limit_id,
			'camp_id': actID,
			'name': name,
			'phone': telNum,
			'province': $('.province').val(),
			'city': $('.city').val(),
			'area': $('.area').val(),
			'address': address,
			'id': id,
			'apply_type':apply_type
		},
		function(req) {
			var url = location.search;
			if(req.code == 200) {
			
				$.DialogByZ.Close()
				var html3rdStr;
				if(req.data == 0) {
					html3rdStr = '21plan_challenge_apply_third.html' + url;
				} else if(req.data == -2) { //名额已经用完 提示返回描述页
					huilianUtils.backSync();
					return;
				} else if(req.data == -1) { //此人已经参加过活动了
					huilianUtils.backSync();
					return;
				} else {
					html3rdStr = '21plan_challenge_apply_third.html' + url + '&' + 'tradeNo=' + req.data;
				}
//				alert(huilianConfig.planWXPay + 'WxPay/' + html3rdStr);
				huilianUtils.openUrlSync(huilianConfig.planWXPay + 'WxPay/' + html3rdStr, new Date());
			} else {
				$.DialogByZ.Loading('img/loading.png')
			}
		}
	)
}

function getMoreInfo(actID) {
	huilianUtils.callApi(
		'AdvCampaign/AdvCampaignApplyInfo', {
			'camp_id': actID,
		},
		function(req) {
			if(req.code == 200) {
				var address;
				id = req.data.id;
				if (id > 0 ) {
					limit_id = req.data.limit_id;
				}
				apply_type = req.data.apply_type;
				tradeNO = req.data.order_no;
				var newObject = tansformWithCityIdToCityName(req.data, cityData3);
				address = newObject.proviceName + newObject.cityName + newObject.areaName;
				
				$('#multiPickerInput2').val(address); //选择地址栏
				$('#telphoneID').val(req.data.phone); //手机号
				$('#detailAddressID').val(req.data.address); //地址
				$('#nameID').val(req.data.name);
			}
		}
	)
}

function tansformWithCityIdToCityName(cityIdJson, jsonArr) {
	var proviceArr = jsonArr;
	var place = new Object();

	var proviceName = "";
	var cityName = "";
	var areaName = "";

	for(var i = proviceArr.length - 1; i >= 0; i--) {
		if(proviceArr[i]["id"] === cityIdJson["province"]) {
			proviceName = proviceArr[i]["value"]; //获取省

			var cityArr = proviceArr[i]["child"];
			if(!cityArr) {
				break;
			}
			for(var j = cityArr.length - 1; j >= 0; j--) {
				if(cityArr[j]["id"] === cityIdJson["city"]) {
					cityName = cityArr[j]["value"];
					var areaArr = cityArr[j]["child"];
					if(!areaArr) {
						break;
					}
					for(var k = areaArr.length - 1; k >= 0; k--) {
						if(areaArr[k]["id"] === cityIdJson["area"]) {
							areaName = areaArr[k]["value"]

						}
					}
				}
			}
		}
		place.proviceName = proviceName;
		place.cityName = cityName;
		place.areaName = areaName;
		return place;
	}
}